This module for ninja supplies hooks for setting up the products configuration
based on user input via an interface.

It configures an OP5 Monitor User and an SNMPv3 user. Also configures the
"monitor" host with appropriate self-monitoring hostgroup/management-pack.

Currently the amendments to the "monitor" hosts are:
 * Addition of the 'OP5 Monitor Server' hostgroup/management-pack
 * Addition of custom variables required for Management pack SNMP checks
 ** _OP5SECRET__AES_KEY, _OP5SECRET__SHA_KEY, _OP5SECRET__USERNAME

In the future we would like this repo/package to be the only supplier of OP5
Monitor specific configuration, regardless if it is configuration for Naemon,
Ninja, Merlin, etc.

# Regarding testability

Currently missing testing of the HTTP API request, the HTTP API itself is
tested from http-api and the integration has tests from monitor-release. But
even so we would have liked a unit test in this repository for that function
call.

We found https://github.com/rmccue/Requests to seem suitable for this use-case,
having the builtin possibility of mocked transports (hence requests). But it
requires build using Composer not available in CentOS repositories, installing
it without package was deemed to "hacky" and packaging it for this one unit
test was deemed to heavy.

# OP5 Monitor User

## Resetting OP5 Monitor users

Simply remove the */etc/op5/auth_users.yml* to prompt the setup interface
again, this only works if no external authentication service is set up, for
instance LDAP/AD or Apache Auth.

# SNMP User

## Listing all SNMPv3 Users

This command will list all names of v3 users in SNMP, note that this action
requires an SNMP user, you may use the user you wish to list.

```
snmpwalk -v 3 -x AES -X <privPass-passphrase> -a SHA -A <authPriv-passphrase> -u <user-name> -l authPriv localhost usmUserTable.usmUserEntry.usmUserSecurityName
```

## Removing SNMPv3 User

The SNMPv3 user, once created, can be found in */var/lib/net-snmp/snmpd.conf*
and a createUser directive, and in */etc/snmp/snmpd.conf* as a rouser
directive. Both of these directives need to be removed when snmpd is STOPPED in
order to remove the user.
